aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Paccolat <chr.paccolat@mycable.ch>2012-12-03 14:18:53 +0100
committerJustin Lecher <jlec@gentoo.org>2013-12-03 08:25:05 +0100
commit8933ae04575f3bc41a535502523c0c7d01cc87ac (patch)
tree08315f3937354b0adb92df286d6c3b993a29a451 /sci-misc/elmer-elmergrid
parentMerge branch 'master' into zhou13-master (diff)
downloadsci-8933ae04575f3bc41a535502523c0c7d01cc87ac.tar.gz
sci-8933ae04575f3bc41a535502523c0c7d01cc87ac.tar.bz2
sci-8933ae04575f3bc41a535502523c0c7d01cc87ac.zip
sci-misc/elmer-meta: New ebuilds for Elmer FEM packages
Diffstat (limited to 'sci-misc/elmer-elmergrid')
-rw-r--r--sci-misc/elmer-elmergrid/Manifest3
-rw-r--r--sci-misc/elmer-elmergrid/elmer-elmergrid-5.4.1-r1.ebuild51
-rw-r--r--sci-misc/elmer-elmergrid/elmer-elmergrid-9999.ebuild48
3 files changed, 102 insertions, 0 deletions
diff --git a/sci-misc/elmer-elmergrid/Manifest b/sci-misc/elmer-elmergrid/Manifest
new file mode 100644
index 000000000..861db7ef2
--- /dev/null
+++ b/sci-misc/elmer-elmergrid/Manifest
@@ -0,0 +1,3 @@
+DIST elmer-elmergrid-5.4.1.tar.gz 691564 SHA256 f401dc06720f39bc55ea020c0ce5f0fffffe4236e83e13969ce879ce4362d31b SHA512 c0f297ec4c14d3dfa32e0f5a00d0956fb60d589ac3189e765a0e590837a4cd27eff732ba84de04fc9e55c6bb436e3249c292ad5503f3a5e620f48fb60ece926a WHIRLPOOL 2b236cef9cd5c5379aa1196a640bc2b80bb6df2997c38f2806dacd15a6a64271146e4c28d7bb5f3fdbea48cd19143ceb80c9348e734304bf857e5aace9813a1f
+EBUILD elmer-elmergrid-5.4.1-r1.ebuild 1137 SHA256 1f657ac3eeb6b520ef2448e9a536f6f73058f6d5df475c40750bef0a6b87feee SHA512 3a08add2a285b1f899b2589ed2e4b4163a248d505ea18140f52b2d04f54498f5910b747592ffe238b4b0b14351fcfce6bc4e3dd7ba361cb66b71142d81df8629 WHIRLPOOL 7df8a808b3102b12c76db32d54d2ca3e3b3ab44f0d0623d80d2160d4d8f5e9befc4624f8238722f502562b18e10fd958fb36562b8c199364bc3a1f1a9b971fc0
+EBUILD elmer-elmergrid-9999.ebuild 1165 SHA256 8563c652ab6c9856ad6064b41df817db5aca32e81655d5c8876feca4355ed647 SHA512 a3bfa622f105d10d5cd3333d873e056d28a3e08c7845d0fd0196186fd8fa05c4136b4aa7b3676a15f605df1e0a6aefefc7e276648f8ff477b09f0dcf8195f341 WHIRLPOOL 4ee2b97fc08e4359f1e3b4052a0f336204a3ab0aa1f743d5384e74c8dd3bcf57a29dfc7b0a04ebd1eeaa63e7f5679a0b5681a382f6318272eda235cdc138e6d7
diff --git a/sci-misc/elmer-elmergrid/elmer-elmergrid-5.4.1-r1.ebuild b/sci-misc/elmer-elmergrid/elmer-elmergrid-5.4.1-r1.ebuild
new file mode 100644
index 000000000..1e1bd6f8c
--- /dev/null
+++ b/sci-misc/elmer-elmergrid/elmer-elmergrid-5.4.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit autotools eutils
+
+ELMER_ROOT="elmerfem"
+MY_PN=${PN/elmer-/}
+
+DESCRIPTION="Elmer is a collection of finite element programs, libraries, and visualization tools, elmergrid"
+HOMEPAGE="http://www.csc.fi/english/pages/elmer"
+SRC_URI="http://elmerfem.svn.sourceforge.net/viewvc/${ELMER_ROOT}/release/${PV}/${MY_PN}/?view=tar -> ${P}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+DEPEND="sci-libs/matc
+ sys-libs/glibc"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PV}/elmergrid"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # configure must be executable
+ chmod +x configure
+ eautoreconf
+}
+
+src_compile() {
+ cd "${S}"
+ local myconf
+ export FC="gfortran"
+ export F77="gfortran"
+ use debug &&
+ myconf="${myconf} --with-debug" ||
+ myconf="${myconf} --without-debug"
+ myconf="$myconf --with-matc"
+ econf $myconf || die "econf failed"
+ emake || die "emake failed"
+}
+
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+}
diff --git a/sci-misc/elmer-elmergrid/elmer-elmergrid-9999.ebuild b/sci-misc/elmer-elmergrid/elmer-elmergrid-9999.ebuild
new file mode 100644
index 000000000..67549e910
--- /dev/null
+++ b/sci-misc/elmer-elmergrid/elmer-elmergrid-9999.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit autotools eutils subversion
+
+ELMER_ROOT="elmerfem"
+MY_PN=${PN/elmer-/}
+
+DESCRIPTION="Elmer is a collection of finite element programs, libraries, and visualization tools, elmergrid"
+HOMEPAGE="http://www.csc.fi/english/pages/elmer"
+#SRC_URI="http://elmerfem.svn.sourceforge.net/viewvc/${ELMER_ROOT}/release/${PV}/${MY_PN}/?view=tar -> ${P}.tar.gz"
+SRC_URI=""
+RESTRICT="mirror"
+ESVN_REPO_URI="https://elmerfem.svn.sourceforge.net/svnroot/elmerfem/trunk/${MY_PN}"
+ESVN_PROJECT="${MY_PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug"
+DEPEND="sci-libs/matc
+ sys-libs/glibc"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PV}/elmergrid"
+
+src_prepare() {
+ #unpack ${A}
+ cd "${S}"
+ # configure must be executable
+ #chmod +x configure
+ eautoreconf
+}
+
+src_configure() {
+ cd "${S}"
+ local myconf
+ export FC="gfortran"
+ export F77="gfortran"
+ use debug &&
+ myconf="${myconf} --with-debug" ||
+ myconf="${myconf} --without-debug"
+ myconf="$myconf --with-matc"
+ econf $myconf || die "econf failed"
+}